summaryrefslogtreecommitdiffstats
path: root/release/ia64
diff options
context:
space:
mode:
Diffstat (limited to 'release/ia64')
-rwxr-xr-xrelease/ia64/make-memstick.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/release/ia64/make-memstick.sh b/release/ia64/make-memstick.sh
new file mode 100755
index 0000000..c9ff580
--- /dev/null
+++ b/release/ia64/make-memstick.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# This script generates a "memstick image" (image that can be copied to a
+# USB memory stick) from a directory tree. Note that the script does not
+# clean up after itself very well for error conditions on purpose so the
+# problem can be diagnosed (full filesystem most likely but ...).
+#
+# Usage: make-memstick.sh <directory tree> <image filename>
+#
+# $FreeBSD$
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+export PATH
+
+BLOCKSIZE=10240
+
+if [ $# -ne 2 ]; then
+ echo "make-memstick.sh /path/to/directory /path/to/image/file"
+ exit 1
+fi
+
+if [ ! -d ${1} ]; then
+ echo "${1} must be a directory"
+ exit 1
+fi
+
+if [ -e ${2} ]; then
+ echo "won't overwrite ${2}"
+ exit 1
+fi
+
+makefs -B little ${2} ${1}
+if [ $? -ne 0 ]; then
+ echo "makefs failed"
+ exit 1
+fi
+
OpenPOWER on IntegriCloud